Allocate a SIP connector server
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"assigned": true,
"ip": "<string>",
"region": "<string>",
"port": 123,
"status": true
}
}PBX Extension Connectors
Allocate a SIP connector server
Picks a random active server from the configured pool and allocates its IP to your account. Idempotent: if a server is already assigned the existing one is returned.
POST
/
api
/
v1
/
pbx_extension_connectors
/
sip_server
Allocate a SIP connector server
⌘I